package validator

import (
	"github.com/go-playground/validator/v10"
)

// validate 全局验证器实例
var validate *validator.Validate

func init() {
	validate = validator.New(validator.WithRequiredStructEnabled())
}

// Get 返回全局验证器实例
func Get() *validator.Validate {
	return validate
}

// Validate 验证结构体
func Validate(s interface{}) error {
	return validate.Struct(s)
}
